[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# StringToWideChar

Convert a string to an array of widechars.

## Declaration

Source position: ustringh.inc line 39

`function StringToWideChar(`
`const Src: RawByteString;`
`Dest: PWideChar;`
`DestSize: SizeInt`
`):PWideChar;`

## Description

StringToWideChar converts a single-byte-character string Src to a null-terminated array of WideChars. The destination for this array is pointed to by Dest, and contains room for at least DestSize widechars.

## Errors

No validity checking is performed on Dest.

## See also

WideCharToString |  | Convert a null-terminated array of widechar to an unicodestring
WideCharToStrVar |  | Convert a null-terminated array of widechar to an ansistring
WideCharLenToStrVar |  | Convert a length-limited array of widechar to an ansistring
WideCharLenToString |  | Convert a length-limited array of widechar to an unicodestring